Ruby
Rails
Guard
RubyOnRails

ERROR: directory is already being watched!

More than 1 year has passed since last update.

guard start すると起こるエラー。
私は vendor/bundle/ruby/ruby-version/gems/libv8-version/vendor/v8/build/gyp がシンボリックリンクになっていたことが原因だった。
この issue にある通り、 OSX では解決策なし。
プロジェクトディレクトリ内に gem をインストールするのが悪い、グローバルに bundle install すればいいとのこと。
それはちょっと嫌だったので私はとりあえず

bundle install --path ~/.gems/project_name -j4

で勘弁してもらえた。